<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage Starkers
 * @since Starkers 3.0
 */
?>
			<div data-role="navbar">
				<?php get_search_form(); ?>
			</div>
			<ul data-role="listview" data-inset="true" class="xoxo">
				
				<?php
					/* When we call the dynamic_sidebar() function, it'll spit out
					 * the widgets for that widget area. If it instead returns false,
					 * then the sidebar simply doesn't exist, so we'll hard-code in
					 * some default sidebar stuff just in case.
					 */
					if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
						<li>
							<h3><?php _e( 'Archives', 'twentyten' ); ?></h3>
							<ul>
								<?php wp_get_archives( 'type=monthly' ); ?>
							</ul>
						</li>
						<li>
							<h3><?php _e( 'Meta', 'twentyten' ); ?></h3>
							<ul>
								<?php wp_register(); ?>
								<li><?php wp_loginout(); ?></li>
								<?php wp_meta(); ?>
							</ul>
						</li>
					<?php endif; // end primary widget area ?>
			</ul>

<?php
	// A second sidebar for widgets, just because.
	if ( is_active_sidebar( 'secondary-widget-area' ) ) : ?>

			<ul class="xoxo" data-role="listview data-inset="true">
				<?php dynamic_sidebar( 'secondary-widget-area' ); ?>
			</ul>

<?php endif; ?>